using Common;
using MeterPlugInLibrary;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRemoteMeter
{
    /// <summary>
    /// 截图调用类
    /// </summary>
    public class CameraShotCls
    {
        public void Connection()
        {
            foreach (DhCameraShot shot in CarCache.cameraShots)
            {
                shot.Connection();
            }
        }

        public void Close()
        {
            foreach (DhCameraShot shot in CarCache.cameraShots)
            {
                shot.Close();
            }
        }

        /// <summary>
        /// 截图
        /// </summary>
        /// <param name="actualFirstNo">作业编号</param>
        public void CapPic(string actualFirstNo)
        {
            int iCnt = 1; //抓拍摄像头配置顺序必须是前面2个
            foreach (DhCameraShot shot in CarCache.cameraShots)
            {
                shot.CapPic(iCnt < 3 ? 0 : 1, PbCache.path + string.Format("\\imgShort\\tempImg\\{0}_{1}_{2}.jpg", PbCache.sportInfo.baseSpotNo, "C" + actualFirstNo, iCnt));
                iCnt++;
            }
        }

        /// <summary>
        /// 连接视频截图并关闭
        /// </summary>
        /// <param name="actualFirstNo">作业编号</param>
        public void CapMethod(string actualFirstNo)
        {
            Connection();
            CapPic(actualFirstNo);
            Close();
        }
    }
}
